| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiAlg::GaudiAlgConf::HistoTool Class Reference

List of all members.

## Detailed Description

Definition at line 146 of file GaudiAlgConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiAlg::GaudiAlgConf::HistoTool::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 202 of file GaudiAlgConf.py.

    00202                                                                :
    00203       super(HistoTool, self).__init__(name)
    00204       for n,v in kwargs.items():
    00205          setattr(self, n, v)
      def getDlls( self ):

def GaudiAlg::GaudiAlgConf::HistoTool::getDlls | ( |  | self | ) |

Definition at line 206 of file GaudiAlgConf.py.

    00206                      :
    00207       return 'GaudiAlg'
      def getType( self ):

def GaudiAlg::GaudiAlgConf::HistoTool::getType | ( |  | self | ) |

Definition at line 208 of file GaudiAlgConf.py.

    00208                      :
    00209       return 'HistoTool'
      pass # class HistoTool

## Member Data Documentation

dictionary GaudiAlg::GaudiAlgConf::HistoTool::__slots__`[static, private]`

Definition at line 147 of file GaudiAlgConf.py.

dictionary GaudiAlg::GaudiAlgConf::HistoTool::_propertyDocDct`[static, private]`

Initial value:

    {
        'HistoTopDir' : """ Top level histogram directory (take care that it ends with '/') """,
        'HistoCheckForNaN' : """ Swicth on/off the checks for NaN and Infinity for histogram fill """,
        'HistoDir' : """ Histogram Directory """,
        'HistoProduce' : """ Swith on/off the production of histograms  """,
        'StatTableHeader' : """ The header row for the output Stat-table """,
        'FormatFor1DHistoTable' : """ Format string for printout of 1D histograms """,
        'HistoSplitDir' : """ Split long directory names into short pieces (suitable for HBOOK) """,
        'EfficiencyRowFormat' : """ The format for the regular row in the outptu Stat-table """,
        'RegularRowFormat' : """ The format for the regular row in the output Stat-table """,
        'HistoPrint' : """ Switch on/off the printout of histograms at finalization """,
        'UseSequencialNumericAutoIDs' : """ Flag to allow users to switch back to the old style of creating numerical automatic IDs """,
        'HeaderFor1DHistoTable' : """ The table header for printout of 1D histograms  """,
        'ShortFormatFor1DHistoTable' : """ Format string for printout of 1D histograms """,
        'AutoStringIDPurgeMap' : """ Map of strings to search and replace when using the title as the basis of automatically generated literal IDs """,
        'HistoOffSet' : """ OffSet for automatically assigned histogram numerical identifiers  """,
        'UseEfficiencyRowFormat' : """ Use the special format for printout of efficiency counters """,
        'ContextService' : """ The name of Algorithm Context Service """,
      }

Definition at line 183 of file GaudiAlgConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiAlg/genConf/GaudiAlg/GaudiAlgConf.py